Index: npl/fileserver/samba/samba-4.7.6.tar.asc
===================================================================
--- npl/fileserver/samba/samba-4.7.6.tar.asc	(revision b26e5aaade1125e1f27422afa3ea1a4e9318c9ab)
+++ 	(revision )
@@ -1,6 +1,0 @@
------BEGIN PGP SIGNATURE-----
-
-iFwEABECABwFAlqmQKUVHHNhbWJhLWJ1Z3NAc2FtYmEub3JnAAoJEG8zkVtlaLfq
-DRUAn0+x5lwXSs4cHl4n7JGswhlU6ojoAJ9vz7smF9DQXp4UfFfBzOKuAJgE6g==
-=egbm
------END PGP SIGNATURE-----
Index: npl/fileserver/samba/samba.build
===================================================================
--- npl/fileserver/samba/samba.build	(revision b26e5aaade1125e1f27422afa3ea1a4e9318c9ab)
+++ npl/fileserver/samba/samba.build	(revision 1568e4cfbbb0d3694d879d87901b5552ea32f66d)
@@ -1,1 +1,1 @@
-6528
+6529
Index: npl/fileserver/samba/samba.md5
===================================================================
--- npl/fileserver/samba/samba.md5	(revision b26e5aaade1125e1f27422afa3ea1a4e9318c9ab)
+++ npl/fileserver/samba/samba.md5	(revision 1568e4cfbbb0d3694d879d87901b5552ea32f66d)
@@ -1,10 +1,9 @@
 5ebfd56dc5c3086e7922b5b4756dc28f  ./doinst.sh.gz
 a8da7559824fe5889f2dad4cc1825742  ./rc.samba
-b352dcf6abbf65fce22e41beeb3c961a  ./samba-4.7.6.tar.asc
-30d0dd76e05b7597b6978359b6b91327  ./samba-4.7.6.tar.lz
-d874b9b5ee8ab6eddc9ba6c289160cf3  ./samba_dev.pkg
-a89d16e509ac5b2fcd39d962b9d0d1d3  ./samba.pkg
+e22d9447b9f5eabfcc61b8f9050b99ba  ./samba-4.7.7.tar.gz
+8134b75b6aaecb67a664ac52c1c9a6a4  ./samba_dev.pkg
+a21c4ed01d97da7b6bda3e9326e9a161  ./samba.pkg
 732f422a8c9878f8bd653addc42fedb2  ./samba.SlackBuild
-3a779e4826f7233980db96844568842f  ./samba.SlackBuild.log.gz
+ef0817e2ab82d0a4141d8ea3fc7a89bf  ./samba.SlackBuild.log.gz
 c60272b22da6960fac151083daba2dd4  ./samba.SlackBuild.orig
 bc188a5b62be66eb283635f825e1973f  ./samba.url
Index: npl/fileserver/samba/samba.version
===================================================================
--- npl/fileserver/samba/samba.version	(revision b26e5aaade1125e1f27422afa3ea1a4e9318c9ab)
+++ npl/fileserver/samba/samba.version	(revision 1568e4cfbbb0d3694d879d87901b5552ea32f66d)
@@ -1,1 +1,1 @@
-4.7.6
+4.7.7
Index: npl/fileserver/samba/samba_dev.build
===================================================================
--- npl/fileserver/samba/samba_dev.build	(revision b26e5aaade1125e1f27422afa3ea1a4e9318c9ab)
+++ npl/fileserver/samba/samba_dev.build	(revision 1568e4cfbbb0d3694d879d87901b5552ea32f66d)
@@ -1,1 +1,1 @@
-1
+2
Index: npl/fileserver/samba/samba_dev.version
===================================================================
--- npl/fileserver/samba/samba_dev.version	(revision b26e5aaade1125e1f27422afa3ea1a4e9318c9ab)
+++ npl/fileserver/samba/samba_dev.version	(revision 1568e4cfbbb0d3694d879d87901b5552ea32f66d)
@@ -1,1 +1,1 @@
-4.7.6
+4.7.7
Index: npl/fileserver/samba_conf/root/etc/postinst.d/post.samba
===================================================================
--- npl/fileserver/samba_conf/root/etc/postinst.d/post.samba	(revision b26e5aaade1125e1f27422afa3ea1a4e9318c9ab)
+++ npl/fileserver/samba_conf/root/etc/postinst.d/post.samba	(revision 1568e4cfbbb0d3694d879d87901b5552ea32f66d)
@@ -47,11 +47,11 @@
 
 #add new setting (v3.5)
-if ! grep "max protocol" /home/system/samba/smb.conf; then
-	sed -i /home/system/samba/smb.conf -e 's/^.global./[global]\nmax protocol = SMB2/'
-fi
+#if ! grep "max protocol" /home/system/samba/smb.conf; then
+#	sed -i /home/system/samba/smb.conf -e 's/^.global./[global]\nmax protocol = SMB2/'
+#fi
 
 #change setting settings (v4.4.4)
 # https://wiki.samba.org/index.php/Required_settings_for_NT4-style_domains
-sed -i /home/system/samba/smb.conf -e 's/max protocol = SMB2/max protocol = NT1/'
+#sed -i /home/system/samba/smb.conf -e 's/max protocol = SMB2/max protocol = NT1/'
 
 
@@ -59,4 +59,7 @@
 sed -i /home/system/samba/smb.conf -e 's/.*socket options = TCP_NODELAY SO_SNDBUF=8192 SO_RCVBUF=8192.*//'
 
+#samba 4.7+ chooses good defaults
+sed -i  /home/system/samba/smb.conf -e 's/.*max protocol.*//g'
+ 
 chmod 1777 /home/shares/profiles
 chmod 1777 /home/shares/spool
Index: npl/fileserver/samba_conf/root/home/system/samba/smb.conf.new
===================================================================
--- npl/fileserver/samba_conf/root/home/system/samba/smb.conf.new	(revision b26e5aaade1125e1f27422afa3ea1a4e9318c9ab)
+++ npl/fileserver/samba_conf/root/home/system/samba/smb.conf.new	(revision 1568e4cfbbb0d3694d879d87901b5552ea32f66d)
@@ -1,5 +1,5 @@
 [global]
-    workgroup = EXAMPLE.NET
-    netbios name = DARKSTAR
+    workgroup = WORKGROUP
+    netbios name = SYN3FS
     server string = "Syn-3 Fileserver"
     security = user
Index: npl/fileserver/samba_conf/samba_conf.build
===================================================================
--- npl/fileserver/samba_conf/samba_conf.build	(revision b26e5aaade1125e1f27422afa3ea1a4e9318c9ab)
+++ npl/fileserver/samba_conf/samba_conf.build	(revision 1568e4cfbbb0d3694d879d87901b5552ea32f66d)
@@ -1,1 +1,1 @@
-6452
+6456
Index: npl/fileserver/samba_conf/samba_conf.md5
===================================================================
--- npl/fileserver/samba_conf/samba_conf.md5	(revision b26e5aaade1125e1f27422afa3ea1a4e9318c9ab)
+++ npl/fileserver/samba_conf/samba_conf.md5	(revision 1568e4cfbbb0d3694d879d87901b5552ea32f66d)
@@ -1,3 +1,3 @@
-fbc2460f5067c21a9e1271151d76406f  ./root/etc/postinst.d/post.samba
+d697894127badc7d6f61e8db71b93bdc  ./root/etc/postinst.d/post.samba
 c473d0d177dab192550848c30d7cbbcb  ./root/home/shares/netlogon/logon.bat.new
 38d7df09b3968b369c7b43a5cde5856e  ./root/home/system/cups/cupsd.conf.default.new
@@ -11,10 +11,10 @@
 e3fd8ee0400db9d9faaa9e8f69db4bfc  ./root/home/system/samba/shares/profiles.samba.new
 8e8e9a752334cf4856b4732e3ac3b585  ./root/home/system/samba/shares/root.samba.new
-b48b624cc2a52833c865f61024fa8abe  ./root/home/system/samba/smb.conf.new
+9d41774591c9b405373e5ff245141f1d  ./root/home/system/samba/smb.conf.new
 7ff084677614b02915fa8e05e8817cfe  ./root/service/cupsd/run
 322afd3aa4bc46bd70dc7118dc5e188c  ./root/service/nmbd/run
 a94682b32e8f1f709ed4c22997d5c0a7  ./root/service/smbd/run
 7f4de4630eb70bfe77bd7ccea504230f  ./root/service/winbindd/run
-6ce96a0ec5bd4c6af6c30bdb3ffbcebe  ./samba_conf.pkg
+bc4e2966954f5ec2d45c242ba257deef  ./samba_conf.pkg
 ca70f70bd0e82246686e746c7bf20e21  ./samba_conf.SlackBuild
-532c2fda6e086cbf8df8d7c52370cae0  ./samba_conf.SlackBuild.log.gz
+2519e2349414cbf68a9c9b47050f6d32  ./samba_conf.SlackBuild.log.gz
